PUT_USER(9)

NAME
put_user - Write a simple value into user space.

SYNOPSIS

put_user (x, ptr);

ARGUMENTS

x   Value to copy to user space.

ptr Destination address, in user space.

CONTEXT

User context only. This function may sleep.

DESCRIPTION

This macro copies a single simple value from kernel space to user space. It supports simple types like char and int, but not larger data types like structures or arrays.

 ptr must have pointer-to-simple-variable type, and x must be assignable to the result of dereferencing ptr.

Returns zero on success, or -EFAULT on error.